All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class FilterException

    com.sas.dataselectors.filters.FilterException

All Implemented Interfaces:
  java.io.Serializable

    @SASScope(value="ALL")
    public class FilterException

The FilterException class is simply a generic exception class that can be thrown whenever problems occur within the filter model.

See Also:
  Serialized Form

Constructor Summary
`FilterException()` Constructs a new exception.
`FilterException(java.lang.String message)` Constructs a new exception with the given message text.
`FilterException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the given message and cause.
`FilterException(java.lang.Throwable cause)` Constructs a new exception with the given cause but no message text.

Constructor Detail

### FilterException

    public FilterException()

  Constructs a new exception.

### FilterException

    public FilterException(java.lang.String message)

  Constructs a new exception with the given message text.

  Parameters:
    `message` - the message for this exception

### FilterException

    public FilterException(java.lang.String message,
                           java.lang.Throwable cause)

  Constructs a new exception with the given message and cause.

  Parameters:
    `message` - the message for this exception
    `cause` - an error that caused this exception to be created

### FilterException

    public FilterException(java.lang.Throwable cause)

  Constructs a new exception with the given cause but no message text.

  Parameters:
    `cause` - an error that caused this exception to be created

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.